# Poco::Any

# template < typename ValueType >

# class Holder

Library: Foundation
Package: Core
Header: Poco/Any.h

## Inheritance

Direct Base Classes: Placeholder

All Base Classes: Placeholder

## Member Summary

Member Functions: clone, type

Inherited Functions: clone, type

## Constructors

### Holder

Holder(
const ValueType & value
);

## Member Functions

### clone

virtual Placeholder * clone() const;

See also: Poco::Any::Placeholder::clone()

### type

virtual const std::type_info & type() const;

See also: Poco::Any::Placeholder::type()

## Variables

### _held

ValueType _held;